<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServicePortfolioResponse StructType
 * @subpackage Structs
 */
class ServicePortfolioResponse extends AbstractStructBase
{
    /**
     * The ServicePortfolioRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $ServicePortfolioRS;
    /**
     * Constructor method for ServicePortfolioResponse
     * @uses ServicePortfolioResponse::setServicePortfolioRS()
     * @param \StructType\JP_StaticDataRS $servicePortfolioRS
     */
    public function __construct(\StructType\JP_StaticDataRS $servicePortfolioRS = null)
    {
        $this
            ->setServicePortfolioRS($servicePortfolioRS);
    }
    /**
     * Get ServicePortfolioRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getServicePortfolioRS()
    {
        return $this->ServicePortfolioRS;
    }
    /**
     * Set ServicePortfolioRS value
     * @param \StructType\JP_StaticDataRS $servicePortfolioRS
     * @return \StructType\ServicePortfolioResponse
     */
    public function setServicePortfolioRS(\StructType\JP_StaticDataRS $servicePortfolioRS = null)
    {
        $this->ServicePortfolioRS = $servicePortfolioRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServicePortfolioResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
